Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
commoncrypto_block.cpp File Reference
`#include <botan/hex.h>`
`#include <botan/block_cipher.h>`
`#include <botan/internal/commoncrypto.h>`
`#include <CommonCrypto/CommonCrypto.h>`
`#include "commoncrypto_utils.h"`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
std::unique_ptr< BlockCipher > | Botan::make_commoncrypto_block_cipher (const std::string &name)

## Variable Documentation

std::string m_cipher_name

Definition at line 66 of file commoncrypto_block.cpp.

CCCryptorRef m_decrypt = nullptr

Definition at line 70 of file commoncrypto_block.cpp.

CCCryptorRef m_encrypt = nullptr

Definition at line 69 of file commoncrypto_block.cpp.

bool m_key_set

Definition at line 71 of file commoncrypto_block.cpp.

CommonCryptor_Opts m_opts

Definition at line 67 of file commoncrypto_block.cpp.